* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}

section {
    padding: 100px;
}

.banner {
    position: relative;
    min-height: 100vh;
    background-color: black;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#banner-image {
    position: absolute;
    bottom: 0px;
    right: 0px;
    padding: 0px;
    margin: 0px;
    max-width: 50%;
}

.banner h1 {
    font-size: 3em;
    color: #fff;
    font-weight: 500;
    line-height: 1.72em;
}

.banner h1 .txt-type {
    font-size: 1em;
    font-weight: 500
}

.banner h1 .text-type-2 {
    font-size: 1.5em;
    font-weight: 700;
}

/* Cursor */

.txt-type>.txt {
    animation: blink-caret 1s step-end infinite;
    border-right: .1em solid transparent;
}

@keyframes typing {
    from {
        width: 0
    }

    to {
        width: 100%
    }
}

@keyframes blink-caret {
    from, to {
        border-color: orange
    }

    50% {
        border-color: transparent;
    }
}

.banner h2 {
    font-size: 1.7em;
    color: #fff;
    font-weight: 500;
}

.btn {
    position: relative;
    background: #2196f3;
    display: inline-block;
    color: #fff;
    margin-top: 30px;
    padding: 10px 30px;
    font-size: 18px;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 2px;
    font-weight: 500;
}

.btn:hover {
    color: #fff;
    background: #0a6ebd;
}

.btn:visited {
    color: #fff;
}

.heading .btn.btn-2 {
    margin-top: 50px;
}

.btn-default {
    font-size: 16px;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 40px 100px;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: 0.5s;
}

header.sticky {
    background: #fff;
    padding: 20px 100px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
}

header .logo {
    color: #fff;
    font-size: 24px;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 700;
    letter-spacing: 2px;
}

header.sticky .logo {
    color: #111;
}

.logo a {
    text-decoration: none;
    color: #2196f3;
}

.logo a:hover {
    color: #2196f3;
}

header ul {
    position: relative;
    display: flex;
    font-size: 18px;
    margin-bottom: 0;
}

header ul li {
    position: relative;
    list-style: none;
}

header ul li a {
    position: relative;
    display: inline-block;
    margin: 0 20px;
    margin-right: 0;
    color: #fff;
    text-decoration: none;
}

header.sticky ul li a {
    color: #111;
}

.heading {
    width: 100%;
    text-align: center;
    margin-bottom: 30px;
    color: #111;
}

.heading h2 {
    font-weight: 600;
    font-size: 48px;
}

.heading h3 {
    font-weight: 400;
    font-size: 20px;
}

.heading p {
    font-size: 16px;
    padding-top: 20px;
    line-height: 1.7em;
}

.content {
    display: flex;
    justify-content: space-between;
}

.contentBx h3 {
    font-size: 24px;
    margin-bottom: 10px;
}

.content .contentBx {
    width: 100%;
    text-align: center;
}

.contentBx li {
    list-style-position: inside;
    text-indent: -1.5em;
    padding-left: 2em;
}

.contentBx p, .contentBx li {
    font-size: 16px;
    line-height: 1.7em;
}

.contentBx .btn {
    margin-bottom: 10px;
}

.w50 {
    margin-left: 30px;
    text-align: center;
}

.skill-container {
    padding-top: 5px;
    image-rendering: -webkit-optimize-contrast;
}

.changeStyle {
    float: right;
    margin-top: 10px;
    padding: 5px 10px;
    font-size: 14px;
}

.changeStyle.btn:focus {
    color: white;
}

/* Collapsible */

.collapsible {
    background-color: #222;
    color: white;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
}

.collapsible.active, .collapsible:hover {
    background-color: #555;
}

.collapsible:after {
    content: '\002B';
    color: white;
    font-weight: bold;
    float: right;
    margin-left: 5px;
}

.collapsible.active:after {
    content: "\2212";
}

.skill-content {
    padding: 0 18px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    background-color: #f1f1f1;
}

.skill-content .row {
    text-align: center;
    padding-top: 18px;
}

.achievements {
    background: #111;
}

.heading.white {
    color: #fff;
}

.achievements .content {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: row;
}

.achievements .content .achievementsBx {
    padding: 40px 30px;
    background: #222;
    color: #fff;
    max-width: 640px;
    margin: 20px;
    text-align: center;
    transition: 0.5s;
    z-index: 10;
}

.achievements .content .achievementsBx i {
    font-size: 80px;
}

.achievements .content .achievementsBx h2 {
    font-size: 24px;
    font-weight: 600;
    padding: 10px 0;
}

.achievements .content .achievementsBx h3 {
    font-size: 20px;
    font-weight: 500;
    padding: 10px 0;
    line-height: 1.3em;
}

.achievements .content .achievementsBx h4 {
    font-size: 18px;
    padding: 10px 0;
    text-align: justify;
}

.achievements .content .achievementsBx li {
    text-align: left;
    text-indent: -1.5em;
    padding-left: 2em;
    list-style-position: inside;
    font-size: 16px;
}

.achievements .content .achievementsBx p {
    font-size: 16px;
    line-height: 1.6em;
}

.achievement-container {
    padding: 40px 0px;
}

/* Rounded border */

hr.rounded {
    border-top: 8px solid #fff;
    border-radius: 5px;
}

.projects .content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 0px 40px;
}

.project-title-animation {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.project-title-animation i {
    font-size: 60px;
    padding-top: 15px;
}

.projects-title {
    font-family: 'Press Start 2P', cursive;
    padding: 0px 40px;
}

.projects .content .projectsBx {
    width: 25%;
    padding: 20px 10px;
}

.projectsBx {
    display: none;
}

.projects .content .projectsBx img {
    max-width: 100%;
}

.projectsBx-container {
    position: relative;
}

.projectsBx-container .imageBx {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 20px;
}

/* The overlay effect - lays on top of the container and over the image */

.projectsBx-container .projectsBx-text {
    position: absolute;
    background: rgb(0, 0, 0);
    background: rgba(0, 0, 0, 0.7);
    /* Black see-through */
    color: #f1f1f1;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    transition: .5s ease;
    opacity: 0;
    padding: 20px;
    border-radius: 20px;
}

.projectsBx-container .projectsBx-text .title-center {
    color: white;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
    text-transform: uppercase;
}

.projectsBx-container:hover .projectsBx-text {
    opacity: 1;
}

/*
.projectsBx-container .projectsBx-text .projectsBx-text-image {
    position: relative;
    top: -35px;
    left: -35px;
 }
 
 .projectsBx-text-image img {
     height: 50px;
 }
*/

.projectsBx-container a:link, .projectsBx-container a:visited, .projectsBx-container a:hover {
    color: #fff;
    text-decoration: none;
}

.carousel-indicators {
    bottom: -40px;
}

.carousel-inner {
    margin-bottom: 50px;
}

.carousel-indicators li {
    border: 1px solid #000;
}

.carousel-indicators .active {
    background-color: #000;
}

.modal-title {
    text-align: center;
    text-transform: uppercase;
}

.modal-detail .detail-link {
    display: inline-block;
    padding-right: 20px;
    line-height: 2em;
}

.modal-detail .detail-text .ordered-list {
    padding: 10px 0;
}

.modal-detail .detail-text li {
    font-size: 14px;
    list-style-position: inside;
    text-indent: -1.5em;
    padding-left: 2em;
}

.modal-detail {
    margin: 15px 0;
    padding: 10px;
    border-style: solid;
    border-width: thin;
}

.modal-detail p {
    line-height: 1.7em;
}

.modal-detail .row {
    padding: 10px;
    image-rendering: -webkit-optimize-contrast;
}

.modal-footer {
    text-align: center;
    padding-top: 0;
    padding-bottom: 24px;
}

.artworks {
    background: #111;
}

.artworks .content {
    display: block;
    padding: 0px 40px;
    padding-top: 30px;
}

.artworkBx {
    display: none;
}

.thumb {
    margin-bottom: 30px;
}

img.zoom {
    width: 100%;
    height: 200px;
    border-radius: 5px;
    object-fit: cover;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    border: solid 1px #000;
}

.transition {
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
    transform: scale(1.1);
}

.fancybox-button {
    background: rgba(20, 20, 20, .5);
}

.fancybox-active {
    overflow-y: hidden;
}

.contact {
    background: #fff;
}

.heading-2 {
    text-align: center;
    color: #fff;
}

.contentForm {
    padding-top: 20px;
}

.contactInfo {
    width: 100%;
}

.contactIcon {
    width: 100%;
    padding-top: 20px;
}

.contactInfoBx {
    position: relative;
    transition: 0.5s;
    text-align: center;
}

.contactInfoBx .box {
    position: relative;
    padding: 20px;
    display: inline-block;
}

.contactInfoBx .box .icon {
    min-width: 10%;
    padding-top: 10px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
}

.contactInfoBx .box .text {
    display: flex;
    font-size: 16px;
    color: #fff;
    flex-direction: column;
    font-weight: 300;
}

.contactInfoBx .box .text h3 {
    font-weight: 500;
    color: #2196f3;
    margin-bottom: 0;
    font-size: 20px;
}

/* Social Icons */

ul.social-network {
    list-style: none;
    display: inline;
    margin-left: 0 !important;
    padding: 0;
}

ul.social-network li {
    display: inline-block;
    margin: 0 20px;
}

.social-network a.icoLinkedin {
    background-color: #777;
}

.social-network a.icoGithub {
    background-color: #777;
}

.social-network a.icoItchIo {
    background-color: #777;
}

.social-network a.icoMail {
    background-color: #777;
}

.social-network a.icoGithub:hover {
    background-color: #000000;
}

.social-network a.icoLinkedin:hover {
    background-color: #007bb7;
}

.social-network a.icoItchIo:hover {
    background-color: #F25958;
}

.social-network a.icoMail:hover {
    background-color: #F9bf3b;
}

.social-network a.icoFacebook:hover i, .social-network a.icoLinkedin:hover i, .social-network a.icoItchIo:hover i, .social-network a.icoMail {
    color: #fff;
}

.social-circle li a {
    display: inline-block;
    position: relative;
    margin: 0 auto 0 auto;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    text-align: center;
    width: 100px;
    height: 100px;
    font-size: 50px;
}

.social-circle li i {
    margin: 0;
    line-height: 100px;
    text-align: center;
}

.social-circle li a:hover i {
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -ms--transform: rotate(360deg);
    transform: rotate(360deg);
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -o-transition: all 0.2s;
    -ms-transition: all 0.2s;
    transition: all 0.2s;
}

.social-circle i {
    color: #fff;
    -webkit-transition: all 0.8s;
    -moz-transition: all 0.8s;
    -o-transition: all 0.8s;
    -ms-transition: all 0.8s;
    transition: all 0.8s;
}

/* End Social Icon */

footer {
    background: #000;
    padding: 20px;
}

footer small {
    font-size: 14px;
    color: darkgray;
}

footer a {
    float: right;
    font-size: 18px;
}

/* Responsive */

@media (max-width: 991px) {
    header, header.sticky {
        padding: 20px 50px;
        z-index: 1000;
    }

    .menu {
        position: fixed;
        top: 80px;
        left: -100%;
        display: block;
        padding: 100px 50px;
        text-align: center;
        width: 100%;
        height: 100vh;
        background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(125, 125, 125, 1) 50%, rgba(255, 255, 255, 1) 100%);
        transition: 0.5s;
        z-index: 999;
        border-top: 2px solid rgba(0, 0, 0, 0.2);
    }

    .menu.active {
        left: 0;
    }

    header ul li a {
        color: #000;
        font-size: 28px;
        margin: 10px;
        line-height: 1.5em;
    }

    .toggle {
        width: 40px;
        height: 40px;
        background: url("../img/menu.png");
        background-position: center;
        background-repeat: no-repeat;
        background-size: 30px;
        cursor: pointer;
    }

    .toggle.active {
        background: url("../img/close.png");
        background-position: center;
        background-repeat: no-repeat;
        background-size: 25px;
        cursor: pointer;
    }

    header.sticky .toggle {
        filter: invert(1);
    }

    section {
        padding: 100px 50px;
    }

    .banner {
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .banner h2 {
        font-size: 1.5em;
    }

    .banner h3 {
        font-size: 1em;
    }

    #banner-image {
        display: none;
    }

    .btn {
        margin-top: 20px;
        padding: 10px 20px;
        font-size: 16px;
    }

    .heading h2 {
        font-weight: 600;
        font-size: 36px;
    }

    .content .contentBx {
        padding-right: 0px;
    }

    .contentBx h3 {
        font-size: 20px;
    }

    .content {
        flex-direction: column;
    }

    .w50 {
        padding-top: 30px;
        margin-left: 0;
        min-width: 50%;
        text-align: center;
    }

    .changeStyle {
        float: right;
        margin-top: 10px;
        padding: 5px 10px;
        font-size: 14px;
    }

    .img {
        margin-right: auto;
        padding-left: 0px;
        padding-right: 0px;
        padding-top: 50px;
    }

    .vertical-line {
        display: none;
    }

    .achievements .content .achievementsBx {
        margin: 10px;
    }

    .projects .content .projectsBx {
        width: 100%;
        padding: 10px;
    }

    .contactInfo {
        margin-bottom: 20px;
    }

    .contactIcon {
        padding-top: 0px;
    }

    .contentForm h3 {
        text-align: center;
    }

    .contactInfoBx .box {
        position: relative;
        padding: 20px 0;
        display: block;
        text-align: center;
    }

    .heading-2 {
        margin-top: 50px;
        margin-bottom: 0;
    }

    ul.social-network li {
        display: inline-block;
        margin: 0 10px;
    }

    .social-circle li a {
        width: 70px;
        height: 70px;
        font-size: 35px;
    }

    .social-circle li i {
        line-height: 70px;
    }
}

@media (max-width: 600px) {
    header, header.sticky {
        padding: 20px 20px;
        z-index: 1000;
    }

    .banner {
        padding: 150px 20px 100px;
        text-align: left;
    }

    .banner h2 {
        line-height: 1.4em;
    }

    #banner-image {
        display: none;
    }

    section {
        padding: 100px 20px;
    }

    header ul li a {
        font-size: 20px;
    }

    ul.social-network li {
        display: inline-block;
        margin: 0 5px;
    }

    .heading h2 {
        font-size: 24px;
    }

    .animation-element.roll-in-right {
        display: none;
    }

    .animation-element.roll-in-left {
        display: none;
    }

    .social-circle li a {
        width: 50px;
        height: 50px;
        font-size: 25px;
    }

    .social-circle li i {
        line-height: 50px;
    }

    .footer {
        display: flex;
        flex-direction: column;
        text-align: center;
    }

    .footer a {
        line-height: 2.5em;
    }
}

@media (max-width: 321px) {
    header .logo {
        font-size: 20px;
    }

    ul.social-network li {
        display: block;
        margin-top: 20px;
        margin-bottom: 10px;
    }
}

/*----------------------------------------------------*/
/*---------------Animation Element--------------------*/
/*----------------------------------------------------*/

.animation-element {
    opacity: 0;
}

/* Animation element sliding left */

.animation-element.slide-left {
    opacity: 0;
    -moz-transition: all 900ms linear;
    -webkit-transition: all 900ms linear;
    -o-transition: all 900ms linear;
    transition: all 900ms linear;
    -moz-transform: translate3d(-100px, 0px, 0px);
    -webkit-transform: translate3d(-100px, 0px, 0px);
    -o-transform: translate(-100px, 0px);
    -ms-transform: translate(-100px, 0px);
    transform: translate3d(-100px, 0px, 0px);
}

.animation-element.slide-left.in-view {
    opacity: 1;
    -moz-transform: translate3d(0px, 0px, 0px);
    -webkit-transform: translate3d(0px, 0px, 0px);
    -o-transform: translate(0px, 0px);
    -ms-transform: translate(0px, 0px);
    transform: translate3d(0px, 0px, 0px);
}

.animation-element.slide-left-fast {
    opacity: 0;
    -moz-transition: all 450ms linear;
    -webkit-transition: all 450ms linear;
    -o-transition: all 450ms linear;
    transition: all 450ms linear;
    -moz-transform: translate3d(-100px, 0px, 0px);
    -webkit-transform: translate3d(-100px, 0px, 0px);
    -o-transform: translate(-100px, 0px);
    -ms-transform: translate(-100px, 0px);
    transform: translate3d(-100px, 0px, 0px);
}

.animation-element.slide-left-fast.in-view {
    opacity: 1;
    -moz-transform: translate3d(0px, 0px, 0px);
    -webkit-transform: translate3d(0px, 0px, 0px);
    -o-transform: translate(0px, 0px);
    -ms-transform: translate(0px, 0px);
    transform: translate3d(0px, 0px, 0px);
}

.animation-element.roll-in-left {
    opacity: 0;
    -moz-transition: all 450ms linear;
    -webkit-transition: all 450ms linear;
    -o-transition: all 450ms linear;
    transition: all 450ms linear;
    -webkit-transform: translate3d(-100px, 0px, 0px) rotate(-540deg);
    -moz-transform: translate3d(0px, 0px, 0px) rotate(-540deg);
    -o-transform: translate(0px, 0px) rotate(-540deg);
    -ms-transform: translate(0px, 0px) rotate(-540deg);
    transform: translate3d(-100px, 0px, 0px) rotate(-540deg);
}

.animation-element.roll-in-left.in-view {
    opacity: 1;
    -webkit-transform: translate3d(0px, 0px, 0px) rotate(0deg);
    -moz-transform: translate3d(0px, 0px, 0px) rotate(0deg);
    -o-transform: translate(0px, 0px) rotate(0deg);
    -ms-transform: translate(0px, 0px) rotate(0deg);
    transform: translate3d(0px, 0px, 0px) rotate(0deg);
}

.animation-element.roll-in-right {
    opacity: 0;
    -moz-transition: all 450ms linear;
    -webkit-transition: all 450ms linear;
    -o-transition: all 450ms linear;
    transition: all 450ms linear;
    -webkit-transform: translate3d(100px, 0px, 0px) rotate(-540deg);
    -moz-transform: translate3d(0px, 0px, 0px) rotate(-540deg);
    -o-transform: translate(0px, 0px) rotate(-540deg);
    -ms-transform: translate(0px, 0px) rotate(-540deg);
    transform: translate3d(100px, 0px, 0px) rotate(-540deg);
}

.animation-element.roll-in-right.in-view {
    opacity: 1;
    -webkit-transform: translate3d(0px, 0px, 0px) rotate(0deg);
    -moz-transform: translate3d(0px, 0px, 0px) rotate(0deg);
    -o-transform: translate(0px, 0px) rotate(0deg);
    -ms-transform: translate(0px, 0px) rotate(0deg);
    transform: translate3d(0px, 0px, 0px) rotate(0deg);
}

/*----------------------------------------------------*/
/*----------------------------------------------------*/